function Callbacks.DataSet(data,units)
	for k, unit in units do
		if data.CommandMode then
			local PriorityList = {}
			for k, v in data.PriorityList do
				local entity = GetEntityById(v)
				if IsBlip(entity) then
					entity = entity:GetSource()
				end
				if IsUnit(entity) then
					if not PriorityList[entity:GetCurrentLayer()] then
						PriorityList[entity:GetCurrentLayer()] = {}
					end
					local id = string.upper(entity:GetUnitId())
					table.insert(PriorityList[entity:GetCurrentLayer()], id)
				end
			end
			unit:SetModPriorities(PriorityList,false,true)
		else
			if data.Default then
				unit:SetTargetPriorities()
			else
				unit:SetModPriorities(data.PriorityList,data.WeaponType,true)
			end
		end
	end
end


