
local oldUnit = Unit

Unit = Class(oldUnit) {
    
	SetModPriorities = function(self, priTable,WeaponType,Clear)
		if WeaponType then
			for i = 1, self:GetWeaponCount() do
				local wep = self:GetWeapon(i)
				if wep:GetBlueprint().TargetPriorities and table.getn(wep:GetBlueprint().TargetPriorities) > 1 then
					if wep:GetBlueprint().FireTargetLayerCapsTable[WeaponType] and string.find(wep:GetBlueprint().FireTargetLayerCapsTable[WeaponType], WeaponType) then
						wep:SetModWeaponPriorities(priTable,Clear)
					--	LOG('Applying priorities to weapon ', wep:GetBlueprint().Label, ' on layer ', WeaponType)
					else
					--	LOG('Not applying priorities to weapon ', wep:GetBlueprint().Label, ' on layer ', WeaponType)
					end
				end
			end
		else
			for k, v in priTable do
				for i = 1, self:GetWeaponCount() do
					local wep = self:GetWeapon(i)
					if wep:GetBlueprint().TargetPriorities and table.getn(wep:GetBlueprint().TargetPriorities) > 1 then
						if wep:GetBlueprint().FireTargetLayerCapsTable[k] and string.find(wep:GetBlueprint().FireTargetLayerCapsTable[k], k) then
							--LOG('Applying ' .. repr(v) .. ' to weapon ', wep:GetBlueprint().Label, ' on layer ', k)
							wep:SetModWeaponPriorities(v)
						else
						--	LOG('Not applying ' .. repr(v) .. ' to weapon ', wep:GetBlueprint().Label, ' on layer ', k)
						end
					end
				end
			end
		end
    end,
}